package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 摄像头表(IdenCamera)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:43
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_camera")
@ApiModel(value = "摄像头表", description = "")
public class IdenCamera implements Serializable {
    private static final long serialVersionUID = -55010922380921938L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("设备编号")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("设备名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("IP地址")
    @TableField("IP")
    private String ip;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("所属小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("位置")
    @TableField("PLACE")
    private String place;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("状态,0未连接，1已连接")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("类型：1摄像机，2抓拍设备")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
