package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 系统日志表(IdenSysLog)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-29 14:08:35
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_sys_log")
@ApiModel(value = "系统日志表", description = "")
public class IdenSysLog implements Serializable {
    private static final long serialVersionUID = -80515949956425107L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("日志类型")
    @TableField("LOG_TYPE")
    private String logType;


    @ApiModelProperty("操作时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("操作账号")
    @TableField("USERNAME")
    private String username;


    @ApiModelProperty("操作内容")
    @TableField("CONTENT")
    private String content;

    @ApiModelProperty("IP地址")
    @TableField("IP")
    private String ip;

}
