package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 角色信息表(IdenSysRole)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-20 15:37:53
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_sys_role")
@ApiModel(value = "角色信息表", description = "")
public class IdenSysRole implements Serializable {
    private static final long serialVersionUID = 971213661758326465L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("编码")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("角色描述")
    @TableField("REMARK")
    private String remark;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
