package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 系统用户表(IdenSysUser)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-20 15:37:53
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_sys_user")
@ApiModel(value = "系统用户表", description = "")
public class IdenSysUser implements Serializable {
    private static final long serialVersionUID = -30839893724238721L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("账号")
    @TableField("USERNAME")
    private String username;


    @ApiModelProperty("password")
    @TableField("PASSWORD")
    private String password;


    @ApiModelProperty("姓名")
    @TableField("NICKNAME")
    private String nickname;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;

    @ApiModelProperty("邮箱")
    @TableField("EMAIL")
    private String email;

    @ApiModelProperty("启用状态：0启用，1停用")
    @TableField("VALID_STATUS")
    private String validStatus;

    @ApiModelProperty("high: 高级管理员，middle： 中级管理员，low：低级管理员")
    @TableField("ROLE")
    private String role;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;





}
