package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum AppearStatusEnum {
    /**
     * 出现状态
     */
    APPEAR("0","出现"),
    DISAPPEAR("1","不出现");
    private String value;
    private String name;
    AppearStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (APPEAR.getValue().equals(value)){
            return  APPEAR.name;
        }else if (DISAPPEAR.getValue().equals(value)){
            return  DISAPPEAR.name;
        }

        return null;
    }
}
