package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum CredentialsTypeEnum {
    /**
     * 证件类型类型
     */
    IDCARD("1","身份证"),
    PASSPORT("2","护照"),
    OL("3","军官证");
    private String value;
    private String name;
    CredentialsTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (IDCARD.getValue().equals(value)){
            return  IDCARD.name;
        } else if (PASSPORT.getValue().equals(value)){
            return  PASSPORT.name;
        } else if (OL.getValue().equals(value)) {
            return OL.name;
        }
        return null;
    }
    public static String getNameToValue(String name){
        if (StrUtil.isEmpty(name)){
            return null;
        }
        if (IDCARD.getName().equals(name)){
            return  IDCARD.value;
        } else if (PASSPORT.getName().equals(name)){
            return  PASSPORT.value;
        } else if (OL.getName().equals(name)){
            return  OL.value;
        }
        return null;
    }
}
