package com.iden.common.enums;



/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum HandleWarningStatusEnum {
    /**
     * 处理状态
     */
    NO_HANDLE(0,"未处理"),
    HANDLED(1,"已处理");
    private int value;
    private String name;
    HandleWarningStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }
    public int getValue() {
        return value;
    }

    public static String getValueToName(int value){

        if (NO_HANDLE.getValue() == value){
            return  NO_HANDLE.name;
        }else if (HANDLED.getValue() == value){
            return  HANDLED.name;
        }

        return null;
    }
}
