package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum IsContinueEnum {
    /**
     * 1月内-7天出现情况
     */
    YES("1","连续出现"),
    NO("0","未连续出现");
    private String value;
    private String name;
    IsContinueEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (YES.getValue().equals(value)){
            return  YES.name;
        }else if (NO.getValue().equals(value)){
            return  NO.name;
        }

        return null;
    }
}
