package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum IsLeafEnum {
    /**
     * 是否叶子菜单
     */
    YES("0","是"),
    NO("1","不是");
    private String value;
    private String name;
    IsLeafEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (YES.getValue().equals(value)){
            return  YES.name;
        }else if (NO.getValue().equals(value)){
            return  NO.name;
        }

        return null;
    }
}
