package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum PopulationTypeEnum {
    /**
     * 人口类型
     */
    CHANGZHU("1","常住人口"),
    ZANZHU("2","暂住人口"),
    JINGWAICHANGZHU("3","境外长住人口"),
    LIUDONG("4","流动人口"),
    JIZHU("5","寄住人口"),
    LINSHIZHUSU("6","临时住宿人口"),
    OTHER("99","其他");
    private String value;
    private String name;
    PopulationTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }
    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (CHANGZHU.getValue().equals(value)){
            return  CHANGZHU.name;
        } else if (ZANZHU.getValue().equals(value)){
            return  ZANZHU.name;
        } else if (JINGWAICHANGZHU.getValue().equals(value)){
            return  JINGWAICHANGZHU.name;
        } else if (LIUDONG.getValue().equals(value)){
            return  LIUDONG.name;
        } else if (JIZHU.getValue().equals(value)){
            return  JIZHU.name;
        } else if (LINSHIZHUSU.getValue().equals(value)){
            return  LINSHIZHUSU.name;
        } else if (OTHER.getValue().equals(value)){
            return  OTHER.name;
        }

        return null;
    }

    public static String getNameToValue(String name){
        if (StrUtil.isEmpty(name)){
            return null;
        }
        if (CHANGZHU.getName().equals(name)){
            return  CHANGZHU.value;
        } else if (ZANZHU.getName().equals(name)){
            return  ZANZHU.value;
        } else if (JINGWAICHANGZHU.getName().equals(name)){
            return  JINGWAICHANGZHU.value;
        } else if (LIUDONG.getName().equals(name)){
            return  LIUDONG.value;
        } else if (JIZHU.getName().equals(name)){
            return  JIZHU.value;
        } else if (LINSHIZHUSU.getName().equals(name)){
            return  LINSHIZHUSU.value;
        } else if (OTHER.getName().equals(name)){
            return  OTHER.value;
        }

        return null;
    }
}
