package com.iden.common.logaspect;


public enum OperateType {
    LOGIN("登录", "登录"),
    LOGOUT("登出", "登出"),
    SEARCH("查询", "查询"),
    ADD("添加", "添加"),
    MODIFY("修改", "修改"),
    REMOVE("删除", "删除"),
    IMPORT("批量导入", "批量导入"),
    EXPORT("批量导出", "批量导出"),
    UPLOAD("上传", "上传"),
    DOWNLOAD("下载", "下载"),
    EDIT("编辑", "编辑")
    ;

    private String value;
    private String desc;

    OperateType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

}
