package com.iden.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.iden.common.mapper.IdenSysMenuMapper;
import com.iden.common.entity.IdenSysMenu;
import com.iden.common.service.IdenSysMenuService;
import com.iden.common.vo.SysMenuVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 菜单权限表(IdenSysMenu)è¡¨æå¡å®ç°ç±»
 *
 * @author makejava
 * @since 2021-12-20 15:37:52
 */
@Service
public class IdenSysMenuServiceImpl extends ServiceImpl<IdenSysMenuMapper, IdenSysMenu> implements IdenSysMenuService {
    @Override
    public List<SysMenuVO> getTopMenus(Long userId){
        return this.baseMapper.getTopMenus(userId);
    }

    @Override
    public List<SysMenuVO> findChildMenus(Long pid){
        return this.baseMapper.findChildMenus(pid);
    }
}
