package com.iden.common.vo;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 菜单权限表(CareMenu)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-09 21:18:56
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜单权限表", description = "")
public class SysMenuVO implements Serializable {
    private static final long serialVersionUID = -84150949376858885L;

    private Long id;


    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("路径")
    private String url;


    @ApiModelProperty("父ID")
    private Long pid;


    @ApiModelProperty("层级关系：1：代表父级，2：代表第一层子集，3：代表第二层子集，依次往下")
    private Integer level;

    @ApiModelProperty("是否叶子菜单： 0是，1不是")
    private String isLeaf;

    @ApiModelProperty("是否叶子菜单名： 0是，1不是")
    private String isLeafName;

    @ApiModelProperty("排序号")
    private Integer sort;


    @ApiModelProperty(dataType = "String", name = "userId", value = "用户ID")
    private Long userId;

    @ApiModelProperty(dataType = "String",name = "children",value = "子菜单集合")
    private List<SysMenuVO> children = new ArrayList<>();

}
