package com.iden.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 角色信息表(IdenSysRole)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-20 15:37:53
 */

@Data
@ApiModel(value = "角色信息表", description = "")
public class SysRoleVO implements Serializable {
    private static final long serialVersionUID = 971213661758326465L;

    private Long id;


    @ApiModelProperty("名称")
    private String name;


    @ApiModelProperty("编码")
    private String code;


    @ApiModelProperty("角色描述")
    private String remark;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("启用状态名：启用状态：0启用，1停用")
    private String validStatusName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;

    @ApiModelProperty("角色拥有的叶子菜单Id列表")
    private List<Long> hasLeafSysMenuIdList;
}
