package com.iden.common.vo;




import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;


/**
 * 安全管家表(CareSysUser)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:37
 */

@Data
public class SysUserVO implements Serializable {
    private static final long serialVersionUID = -32919685706503729L;

    private Long id;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("password")
    private String password;


    @ApiModelProperty("姓名")
    private String nickname;


    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("启用状态名：启用状态：0启用，1停用")
    private String validStatusName;

    @ApiModelProperty("high: 高级管理员，middle： 中级管理员，low：低级管理员")
    private String role;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}