package com.iden.common.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserLoginedConvertVO {

    private Long id;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("姓名")
    private String nickname;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("high: 高级管理员，middle： 中级管理员，low：低级管理员")
    private String role;

}
