package com.iden.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 预警事件表(IdenWarningEvent)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-27 12:50:32
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "预警事件表", description = "")
public class WarningEventVO implements Serializable {
    private static final long serialVersionUID = -81590341884306474L;

    private Long id;

    @ApiModelProperty("唯一生物学标识")
    private String uid;

    @ApiModelProperty("预警人员表ID")
    private Long warningPersonId;

    @ApiModelProperty("数据时间")
    private Date dataTime;


    @ApiModelProperty("图像")
    private String image;


    @ApiModelProperty("出现小区id")
    private Long communityId;


    @ApiModelProperty("出现小区编号")
    private String communityCode;


    @ApiModelProperty("出现小区名称")
    private String communityName;


    @ApiModelProperty("出现区域")
    private String district;


    @ApiModelProperty("出现街道")
    private String subdistrict;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("出现时间")
    private Date appearTime;


    @ApiModelProperty("预警类型，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    private String type;


    @ApiModelProperty("人员ID")
    private Long personId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
