package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 常住人口识别预警规则表(WarningRuleResidentVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 22:29:50
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "常住人口识别预警规则表", description = "")
public class WarningRuleResidentVO implements Serializable {
    private static final long serialVersionUID = 309294589618110577L;

    private Long id;


    @ApiModelProperty("连续X天内未被抓拍到人脸的常住人口")
    private Integer continueDisappearDays;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
