package com.iden.bms.init;



import com.iden.bms.service.SysDictService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;

import javax.annotation.Resource;


@Order(1)
public class DictInit implements CommandLineRunner {

    private static final Logger logger = LogManager.getLogger(DictInit.class);

    @Resource
    private SysDictService sysDictService;


    @Override
    public void run(String... args) throws Exception {
        logger.info("初始化字典 start ...........................");
        sysDictService.initDictCache();
        logger.info("初始化字典 end ...........................");
    }

}

