package com.iden.bms.service;



import com.iden.common.service.IdenFaceImageService;
import com.iden.common.service.IdenWarningEventService;
import com.iden.common.service.IdenWarningStaService;

import com.iden.common.vo.HomPageLastWeekFaceImageStatVO;
import com.iden.common.vo.HomPageStaVO;
import com.iden.common.vo.HomePageWarningStaVO;
import com.iden.common.vo.UserLoginedConvertVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
@Service
public class HomePageService {
    @Resource
    private IdenFaceImageService idenFaceImageService;
    @Resource
    private IdenWarningStaService idenWarningStaService;
    @Resource
    private IdenWarningEventService idenWarningEventService;

    public HomPageStaVO queryHomPageTotal(UserLoginedConvertVO loginUser){
        HomPageStaVO homPageStaVO = new HomPageStaVO();
        idenFaceImageService.queryHomPageTotal();
        return homPageStaVO;
    }

    public List<HomePageWarningStaVO> queryWarningPersonRateStat(UserLoginedConvertVO loginUser){
        List<HomePageWarningStaVO> homePageWarningStaVOList = idenWarningStaService.queryWarningPersonRateSta();

        return homePageWarningStaVOList;
    }

    public List<HomePageWarningStaVO> queryWarningEventRateStat(UserLoginedConvertVO loginUser){
        List<HomePageWarningStaVO> homePageWarningStaVOList = idenWarningEventService.queryWarningEventRateStat();

        return homePageWarningStaVOList;
    }

    public List<HomPageLastWeekFaceImageStatVO> listLastWeekFaceImageSta(UserLoginedConvertVO loginUser){
        List<HomPageLastWeekFaceImageStatVO> lastWeekCountVOS = idenFaceImageService.listLastWeekFaceImageSta();

        return lastWeekCountVOS;
    }

    public List<HomPageLastWeekFaceImageStatVO> listLastWeekStrangerFaceImageSta(UserLoginedConvertVO loginUser){
        List<HomPageLastWeekFaceImageStatVO> lastWeekCountVOS = idenFaceImageService.listLastWeekStrangerFaceImageSta();

        return lastWeekCountVOS;
    }

    public List<HomPageLastWeekFaceImageStatVO> listLastWeekKeynoteFaceImageSta(UserLoginedConvertVO loginUser){
        List<HomPageLastWeekFaceImageStatVO> lastWeekCountVOS = idenFaceImageService.listLastWeekKeynoteFaceImageSta();

        return lastWeekCountVOS;
    }

    public List<HomPageLastWeekFaceImageStatVO> listLastWeekEventComingFaceImageSta(UserLoginedConvertVO loginUser){
        List<HomPageLastWeekFaceImageStatVO> lastWeekCountVOS = idenFaceImageService.listLastWeekEventComingFaceImageSta();

        return lastWeekCountVOS;
    }

}