package com.iden.common.annotation;

import springfox.documentation.annotations.ApiIgnore;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 描述: 注入当前访问用户
 *
 * @author y
 * @create 2018-10-18 14:10
 */
@Target(ElementType.PARAMETER)
@Retention(RetentionPolicy.RUNTIME)
@ApiIgnore
public @interface LoginedUser {
}
