package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;


import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 摄像机视频表(IdenCameraVideo)å®ä½ç±»
 *
 * @author makejava
 * @since 2022-01-04 13:56:47
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_camera_video")
@ApiModel(value = "摄像机视频表", description = "")
public class IdenCameraVideo implements Serializable {
    private static final long serialVersionUID = 337337376412013599L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("视频名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("视频地址")
    @TableField("VIDEO_URL")
    private String videoUrl;


    @ApiModelProperty("视频缩略图")
    @TableField("PIC")
    private String pic;


    @ApiModelProperty("拍摄开始时间")
    @TableField("PHOTOGRAPH_BEGIN_TIME")
    private Date photographBeginTime;


    @ApiModelProperty("时长（ms）")
    @TableField("DURATION")
    private Long duration;


    @ApiModelProperty("拍摄结束时间")
    @TableField("PHOTOGRAPH_END_TIME")
    private Date photographEndTime;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
