package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 小区表(IdenCommunity)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:45
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_community")
@ApiModel(value = "小区表", description = "")
public class IdenCommunity implements Serializable {
    private static final long serialVersionUID = 731388814628767585L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("小区编号")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("小区名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("所属省")
    @TableField("PROVINCE")
    private String province;


    @ApiModelProperty("所属市")
    @TableField("CITY")
    private String city;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("负责民警")
    @TableField("POLICEMAN")
    private String policeman;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
