package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 人群表(IdenCrowd)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:46
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_crowd")
@ApiModel(value = "人群表", description = "")
public class IdenCrowd implements Serializable {
    private static final long serialVersionUID = -91650038520335504L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("人群编号")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("人群名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("人群数量")
    @TableField("QUANTITY")
    private Integer quantity;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("数据日期开始")
    @TableField("DATA_DATE_BEGIN")
    private Date dataDateBegin;


    @ApiModelProperty("数据日期结束")
    @TableField("DATA_DATE_END")
    private Date dataDateEnd;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
