package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 人脸图像表(IdenFaceImage)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-24 16:24:43
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_face_image")
@ApiModel(value = "人脸图像表", description = "")
public class IdenFaceImage implements Serializable {
    private static final long serialVersionUID = 753307970220912522L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("唯一生物学标识")
    @TableField("UID")
    private String uid;


    @ApiModelProperty("数据日期（yyyyMMdd)")
    @TableField("DATA_DATE")
    private String dataDate;

    @ApiModelProperty("人脸特征码")
    @TableField("FEAT_PTR")
    private String featPtr;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("抓拍时间")
    @TableField("PHOTOGRAPH_TIME")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    @TableField("PHOTOGRAPH_PLACE")
    private String photographPlace;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("维度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("性别：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("人员ID")
    @TableField("PERSON_ID")
    private Long personId;


    @ApiModelProperty("类型，1：陌生人员 ，2重点人员，3小区人员，4昼伏夜出人员 多个用逗号分割")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("相似度")
    @TableField("SIMILARITY")
    private Double similarity;


    @ApiModelProperty("处理报警状态，0未处理，1已处理")
    @TableField("HANDLE_WARNING_STATUS")
    private int handleWarningStatus;

    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
