package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 人员表(IdenPerson)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:47
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_person")
@ApiModel(value = "人员表", description = "")
public class IdenPerson implements Serializable {
    private static final long serialVersionUID = -95513090380191735L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("唯一生物学标识")
    @TableField("UID")
    private String uid;

    @ApiModelProperty("人员编码（人员ID）")
    @TableField("CODE")
    private String code;

    @ApiModelProperty("人脸特征码")
    @TableField("FEAT_PTR")
    private String featPtr;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;


    @ApiModelProperty("性别：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("证件类型：1：身份证 2：护照  3 军官证")
    @TableField("CREDENTIALS_TYPE")
    private String credentialsType;


    @ApiModelProperty("证件号码")
    @TableField("CREDENTIALS_CODE")
    private String credentialsCode;


    @ApiModelProperty("手机号码")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("人口类型：1：常住人口 2：暂住人口 3：境外长住人口 4：流动人口 5:寄住人口 6: 临时住宿人口 99其他")
    @TableField("POPULATION_TYPE")
    private String populationType;


    @ApiModelProperty("民族")
    @TableField("NATION")
    private String nation;


    @ApiModelProperty("政治面貌")
    @TableField("POLICITAL_STATUS")
    private String policitalStatus;


    @ApiModelProperty("婚姻")
    @TableField("MARRIAGE")
    private String marriage;


    @ApiModelProperty("口音")
    @TableField("VOICE")
    private String voice;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;

    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;

    @ApiModelProperty("所属小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("地址")
    @TableField("ADDRESS")
    private String address;


    @ApiModelProperty("工作单位")
    @TableField("WORK_PLACE")
    private String workPlace;


    @ApiModelProperty("单位地址")
    @TableField("WORK_ADDRESS")
    private String workAddress;


    @ApiModelProperty("类型：2、重点人员，3、小区人员，多个用逗号分割")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
