package com.iden.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 区域表(IdenSubdistrict)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 19:06:41
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_subdistrict")
@ApiModel(value = "区域表", description = "")
public class IdenSubdistrict implements Serializable {
    private static final long serialVersionUID = -10316883561234562L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("街道名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("区名称")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("市名称")
    @TableField("CITY")
    private String city;


    @ApiModelProperty("省名称")
    @TableField("PROVINCE")
    private String province;


}
