package com.iden.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 菜单权限表(IdenSysMenu)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-20 15:37:52
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_sys_menu")
@ApiModel(value = "菜单权限表", description = "")
public class IdenSysMenu implements Serializable {
    private static final long serialVersionUID = 606808912857381748L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("code")
    @TableField("CODE")
    private String code;


    @ApiModelProperty("路径")
    @TableField("URL")
    private String url;


    @ApiModelProperty("父ID")
    @TableField("PID")
    private Long pid;


    @ApiModelProperty("层级关系：1：代表父级，2：代表第一层子集，3：代表第二层子集，依次往下")
    @TableField("LEVEL")
    private Integer level;


    @ApiModelProperty("排序号")
    @TableField("SORT")
    private Integer sort;

    @ApiModelProperty("是否叶子菜单： 0是，1不是")
    @TableField("IS_LEAF")
    private String isLeaf;

}
