package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 预警人员轨迹表(IdenWarningPersonTrace)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-28 13:37:38
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_person_trace")
@ApiModel(value = "预警人员轨迹表", description = "")
public class IdenWarningPersonTrace implements Serializable {
    private static final long serialVersionUID = 592277343349493024L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("唯一生物学标识")
    @TableField("UID")
    private String uid;

    @ApiModelProperty("数据日期（yyyyMMdd)")
    @TableField("DATA_DATE")
    private String dataDate;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("抓拍时间")
    @TableField("PHOTOGRAPH_TIME")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    @TableField("PHOTOGRAPH_PLACE")
    private String photographPlace;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("维度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
