package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 昼伏夜出人口识别预警规则表(IdenWarningRuleEveningComming)å®ä½ç±»
 *
 * @author makejava
 * @since 2022-01-03 14:39:27
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_rule_evening_comming")
@ApiModel(value = "昼伏夜出人口识别预警规则表", description = "")
public class IdenWarningRuleEveningComming implements Serializable {
    private static final long serialVersionUID = 804280044148557517L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("开始时间(HH:mm:00),精确到分钟")
    @TableField("START_TIME")
    private String startTime;


    @ApiModelProperty("结束时间(HH:mm:00),精确到分钟")
    @TableField("END_TIME")
    private String endTime;


    @ApiModelProperty("0出现，1不出现")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("持续多少天")
    @TableField("CONTINUE_DAYS")
    private Integer continueDays;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
