package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 常住人口识别预警规则表(WarningRuleResidentVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 22:29:50
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_rule_resident")
@ApiModel(value = "常住人口识别预警规则表", description = "")
public class IdenWarningRuleResident implements Serializable {
    private static final long serialVersionUID = 309294589618110577L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("连续X天内未被抓拍到人脸的常住人口")
    @TableField("CONTINUE_DISAPPEAR_DAYS")
    private Integer continueDisappearDays;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
