package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 陌生人员识别预警规则表(WarningRuleStrangerVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 22:29:50
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_rule_stranger")
@ApiModel(value = "陌生人员识别预警规则表", description = "")
public class IdenWarningRuleStranger implements Serializable {
    private static final long serialVersionUID = -19599267894769977L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("陌生人1月内出现频次小于等于X次")
    @TableField("STRANGER_FREQUENCY")
    private Integer strangerFrequency;


    @ApiModelProperty("X天内，未连续出现")
    @TableField("STRANGER_DAYS")
    private Integer strangerDays;


    @ApiModelProperty("1月内出现频次大于X次")
    @TableField("NO_REGISTER_FREQUENCY")
    private Integer noRegisterFrequency;


    @ApiModelProperty("X天内，连续出现")
    @TableField("NO_REGISTER_DAYS")
    private Integer noRegisterDays;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
