package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 预警统计表(IdenWarningSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-27 13:48:29
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_sta")
@ApiModel(value = "预警统计表", description = "")
public class IdenWarningSta implements Serializable {
    private static final long serialVersionUID = -62702795432580583L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("数据日期")
    @TableField("DATA_DATE")
    private Date dataDate;


    @ApiModelProperty("所属小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("小区编号")
    @TableField("COMMUNITY_CODE")
    private String communityCode;


    @ApiModelProperty("小区名称")
    @TableField("COMMUNITY_NAME")
    private String communityName;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("预警类型，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("人员总数")
    @TableField("TOTAL")
    private Long total;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
