package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum CameraTypeEnum {
    /**
     * 摄像头类型
     */
    VIDEO("1","摄像机"),
    SNAP("2","抓拍设备");
    private String value;
    private String name;
    CameraTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (VIDEO.getValue().equals(value)){
            return  VIDEO.name;
        }else if (SNAP.getValue().equals(value)){
            return  SNAP.name;
        }

        return null;
    }
}
