package com.iden.common.exceltool;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @ProjectName: zdkj
 * @Package: com.zdkj.subway.st.exceltools
 * @ClassName: HeaderToColumn
 * @Description:
 * @Author: kangjian
 * @CreateDate: 2020/1/12 9:59
 * @Version: 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface HeaderToColumn {
    String header() default "";
    boolean handle() default false;
    String colhandlebysql() default "";
    int index() default 0;
    String value() default "";
}
