package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 摄像机视频表(IdenCameraVideo)å®ä½ç±»
 *
 * @author makejava
 * @since 2022-01-03 15:36:55
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "摄像机视频表", description = "")
public class CameraVideoVO implements Serializable {
    private static final long serialVersionUID = 914965308244813944L;

    private Long id;


    @ApiModelProperty("视频名称")
    private String name;


    @ApiModelProperty("摄像头ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    private Long communityId;


    @ApiModelProperty("视频地址")
    private String videoUrl;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("拍摄开始时间")
    private Date photographBeginTime;


    @ApiModelProperty("时长（ms）")
    private Long duration;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("拍摄结束时间")
    private Date photographEndTime;

    @ApiModelProperty("视频缩略图")
    private String pic;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
