package com.iden.common.vo;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.iden.common.exceltool.HeaderToColumn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 小区表(IdenCommunity)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:45
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_community")
@ApiModel(value = "小区表", description = "")
public class CommunityVO implements Serializable {
    private static final long serialVersionUID = 731388814628767585L;

    private Long id;


    @ApiModelProperty("小区编号")
    @HeaderToColumn(header = "小区编号")
    private String code;


    @ApiModelProperty("小区名称")
    @HeaderToColumn(header = "小区名称")
    private String name;


    @ApiModelProperty("所属省")
    private String province;


    @ApiModelProperty("所属市")
    private String city;


    @ApiModelProperty("所属区域")
    @HeaderToColumn(header = "所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    @HeaderToColumn(header = "所属街道")
    private String subdistrict;


    @ApiModelProperty("经度")
    @HeaderToColumn(header = "经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    @HeaderToColumn(header = "纬度")
    private Double latitude;


    @ApiModelProperty("负责民警")
    @HeaderToColumn(header = "负责民警")
    private String policeman;


    @ApiModelProperty("电话")
    @HeaderToColumn(header = "电话")
    private String phone;


    @ApiModelProperty("备注")
    @HeaderToColumn(header = "备注")
    private String remark;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("创建时间")
    @HeaderToColumn(header = "创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("修改时间")
    private Date modifyTime;


}
