package com.iden.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author nhc
 * @version 1.0
 * @description 分页查询入参Vo
 * @date 2021/1/2 20:41
 */
@Data
@ApiModel(value = "分页查询入参Vo")
public class PageReqVO {

    @ApiModelProperty(value = "页码")
    private Integer current ;

    @ApiModelProperty(value = "数量")
    private Integer pageSize;
    private String orderField;

    private String orderBy;

    public PageReqVO(){
        this.current = 1;
        this.pageSize = 10;
    }
}
