package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.iden.common.exceltool.HeaderToColumn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author makejava
 * @since 2021-12-22 17:23:46
 */

@Data
@ApiModel(value = "轨迹", description = "")
public class TraceVO implements Serializable {
    private static final long serialVersionUID = -44732106174401548L;

    @ApiModelProperty("唯一生物学标识")
    private String uid;

    @ApiModelProperty("数据日期（yyyyMMdd)")
    private String dataDate;

    @ApiModelProperty("图像")
    private String image;

    @ApiModelProperty("摄像头ID")
    private Long cameraId;

    @ApiModelProperty("小区ID")
    private Long communityId;

    @ApiModelProperty("小区名")
    private String communityName;

    @ApiModelProperty("出现区域")
    private String district;


    @ApiModelProperty("出现街道")
    private String subdistrict;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("抓拍时间")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    private String photographPlace;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;
}
