package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 昼伏夜出人口识别预警规则表(WarningRuleEveningCommingVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 22:29:49
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "昼伏夜出人口识别预警规则表", description = "")
public class WarningRuleEveningCommingVO implements Serializable {
    private static final long serialVersionUID = -60553155302887995L;

    private Long id;

    @ApiModelProperty("持续多少天")
    private int continueDays;

    @ApiModelProperty("开始时间(HH:mm:00),精确到分钟")
    private String startTime;


    @ApiModelProperty("结束时间(HH:mm:00),精确到分钟")
    private String endTime;


    @ApiModelProperty("0出现，1不出现")
    private String status;


    @ApiModelProperty("备注")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
