package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 陌生人员识别预警规则表(WarningRuleStrangerVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-30 22:29:50
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "陌生人员识别预警规则表", description = "")
public class WarningRuleStrangerVO implements Serializable {
    private static final long serialVersionUID = -19599267894769977L;

    private Long id;


    @ApiModelProperty("陌生人1月内出现频次小于等于X次")
    private Integer strangerFrequency;


    @ApiModelProperty("X天内，未连续出现")
    private Integer strangerDays;


    @ApiModelProperty("1月内出现频次大于X次")
    private Integer noRegisterFrequency;


    @ApiModelProperty("X天内，连续出现")
    private Integer noRegisterDays;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
