package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 昼伏夜出人口识别预警统计表(IdenWarningEveningComeSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 20:19:16
 */

@Data
@ApiModel(value = "昼伏夜出人口识别预警统计表", description = "")
public class WarningStaVO implements Serializable {
    private static final long serialVersionUID = 985331715970898803L;

    private Long id;


    @ApiModelProperty("所属小区id")
    private Long communityId;


    @ApiModelProperty("小区编号")
    private String communityCode;


    @ApiModelProperty("小区名称")
    private String communityName;


    @ApiModelProperty("所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    private String subdistrict;

    @ApiModelProperty("预警类型，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    private String type;

    @ApiModelProperty("预警类型名，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    private String typeName;

    @ApiModelProperty("人员总数")
    private Long total;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("数据日期")
    private Date dataDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
